.signIn-main-div {
    width: 100vw;
    display: flex;
    justify-content: center;
}

.leftside-div {
    width: 50%;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: url('../images/signIn_bg_image.png');
    color: #333;
    position: relative;
}

.leftside-div-cild {
    width: 100%;
    height: 100%;
    position: absolute;
    background: #152132E8;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    color: #333;
}

.rightside-div {
    width: 50%;
    margin: 0;
    min-height: 100vh;
    background: var(--secondary-color);
    color: #000000;
    padding: 1rem;
}

.left-side-middle-div {
    width: 90%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin: 10% auto;

}

.middle-heading {
    font-size: 30px;
    font-weight: 600;
    line-height: 35.16px;
    text-align: center;
    color: var(--primary-color);
}

.middle-paragraph {
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    text-align: center;
}

.left-side-middle-div img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 10px;
}

.left-side-lower-div {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    gap: 20px;
}

.left-side-lower-div {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    gap: 20px;
}

.left-side-lower-div .lower-div-paragraph {
    font-size: 10px;
    font-weight: 600;
    line-height: 15px;
    text-align: left;
}


.container {
    width: 100%;
    max-width: 400px;
}

.card {
    background-color: #fff;
    padding: 10px 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 8px 0px #00000059;
}


form {
    display: flex;
    flex-direction: column;
}

input[type="text"],
input[type="password"] {
    padding: 10px;
    margin-bottom: 0.5rem;
    border: 1px solid #ddd;
    border-radius: 4px;
    transition: border-color 0.3s ease-in-out;
    outline: none;
    color: #333;
}

input:focus {
    border-color: #007BFF;
}

input::placeholder {
    font-size: 12px;
    font-weight: 400;
    line-height: 16.5px;
    text-align: left;
    color: #C9C9C9;
}

label {
    font-size: 15px;
    font-weight: 600;
    line-height: 22.5px;
    text-align: left;
}

.card-div-heading {
    font-size: 25px;
    font-weight: 600;
    line-height: 37.5px;
    text-align: center;
    color: #000000;
    margin: 1rem;
}

.form-options {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
}

.rememberMe {
    font-size: 11px;
    font-weight: 500;
    line-height: 10.5px;
    text-align: left;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

input[type="checkbox"] {
    width: 15px;
    height: 15px;
    border-radius: 1px 0px 0px 0px;
    border: 0.4px 0px 0px 0px;
    opacity: 0px;
}


.forgot-password {
    text-decoration: none;
    color: var(--primary-color);
    font-size: 11px;
    font-weight: 500;
    line-height: 10.5px;
    text-align: left;
}

.forgot-password:hover {
    text-decoration: underline;
    color: #31619b;
}





/* Mobile View Styling */
@media (max-width: 768px) {
    .signIn-main-div {
        flex-direction: column;
        height: auto;
    }

    .rightside-div,
    .leftside-div {
        width: 100%;
        min-height: auto;
        height: 100vh;
    }


    .rightside-div {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .left-side-middle-div {
        width: 100%;
    }

    .left-side-lower-div {
        justify-content: space-evenly;
    }

    .leftside-div {
        background-size: cover;
        background-position: center;
    }

    .leftside-div-cild {
        height: 100%;
        position: absolute;
        background: #152132E8;
    }

    .container {
        max-width: 100%;
        padding: 1rem 0.5rem;
    }

    .card {
        width: 100%;
        margin: 1rem auto;
        box-shadow: 0px 0px 6px 0px #00000059;
    }

    .card-div-heading {
        font-size: 20px;
        line-height: 30px;
    }

    input[type="text"],
    input[type="password"] {
        font-size: 14px;
        padding: 8px;
    }

    label {
        font-size: 14px;
    }

    button {
        font-size: 14px;
        padding: 8px;
    }

    .form-options {
        flex-direction: column;
        gap: 10px;
        align-items: flex-start;
    }

    .forgot-password {
        font-size: 12px;
        text-align: right;
    }

    .rememberMe {
        font-size: 12px;
    }
}